import 'package:flutter/material.dart';
import '../marker_handler/marker_data.dart';
import 'package:flutter_map/flutter_map.dart';
import 'package:latlong2/latlong.dart';

class SatLayer extends StatelessWidget {
  final List<Measurement> markerList;

  const SatLayer({
    Key? key,
    required this.markerList,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return FlutterMap(
      options: MapOptions(
        center: LatLng(31.0274,89.0065), // NB: random location in Tibet for testing purposes
        zoom: 9.0,
      ),
      children: [
        TileLayer( // Map from OpenStreetMap
          urlTemplate: "https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png",
          subdomains: const ['a', 'b', 'c'],
        ),
      ],
    );
  }
}
